/* Generated by wayland-scanner 1.22.0 */

/*
 * Copyright 2019 Sebastian Wick
 * Copyright 2019 Erwin Burema
 * Copyright 2020 AMD
 * Copyright 2020, 2022, 2023 Collabora, Ltd.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice (including the next
 * paragraph) shall be included in all copies or substantial portions of the
 * Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */

#include <stdlib.h>
#include <stdint.h>
#include "wayland-util.h"

extern const struct wl_interface wl_output_interface;
extern const struct wl_interface wl_surface_interface;
extern const struct wl_interface xx_color_management_output_v1_interface;
extern const struct wl_interface xx_color_management_surface_v1_interface;
extern const struct wl_interface xx_image_description_creator_icc_v1_interface;
extern const struct wl_interface xx_image_description_creator_params_v1_interface;
extern const struct wl_interface xx_image_description_info_v1_interface;
extern const struct wl_interface xx_image_description_v1_interface;

static const struct wl_interface *xx_color_management_v1_types[] = {
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	&xx_color_management_output_v1_interface,
	&wl_output_interface,
	&xx_color_management_surface_v1_interface,
	&wl_surface_interface,
	&xx_image_description_creator_icc_v1_interface,
	&xx_image_description_creator_params_v1_interface,
	&xx_image_description_v1_interface,
	&xx_image_description_v1_interface,
	NULL,
	&xx_image_description_v1_interface,
	&xx_image_description_v1_interface,
	&xx_image_description_v1_interface,
	&xx_image_description_info_v1_interface,
};

static const struct wl_message xx_color_manager_v1_requests[] = {
	{ "destroy", "", xx_color_management_v1_types + 0 },
	{ "get_output", "no", xx_color_management_v1_types + 8 },
	{ "get_surface", "no", xx_color_management_v1_types + 10 },
	{ "new_icc_creator", "n", xx_color_management_v1_types + 12 },
	{ "new_parametric_creator", "n", xx_color_management_v1_types + 13 },
};

static const struct wl_message xx_color_manager_v1_events[] = {
	{ "supported_intent", "u", xx_color_management_v1_types + 0 },
	{ "supported_feature", "u", xx_color_management_v1_types + 0 },
	{ "supported_tf_named", "u", xx_color_management_v1_types + 0 },
	{ "supported_primaries_named", "u", xx_color_management_v1_types + 0 },
};

WL_EXPORT const struct wl_interface xx_color_manager_v1_interface = {
	"xx_color_manager_v1", 1,
	5, xx_color_manager_v1_requests,
	4, xx_color_manager_v1_events,
};

static const struct wl_message xx_color_management_output_v1_requests[] = {
	{ "destroy", "", xx_color_management_v1_types + 0 },
	{ "get_image_description", "n", xx_color_management_v1_types + 14 },
};

static const struct wl_message xx_color_management_output_v1_events[] = {
	{ "image_description_changed", "", xx_color_management_v1_types + 0 },
};

WL_EXPORT const struct wl_interface xx_color_management_output_v1_interface = {
	"xx_color_management_output_v1", 1,
	2, xx_color_management_output_v1_requests,
	1, xx_color_management_output_v1_events,
};

static const struct wl_message xx_color_management_surface_v1_requests[] = {
	{ "destroy", "", xx_color_management_v1_types + 0 },
	{ "set_image_description", "ou", xx_color_management_v1_types + 15 },
	{ "set_default_image_description", "", xx_color_management_v1_types + 0 },
	{ "get_preferred", "n", xx_color_management_v1_types + 17 },
};

static const struct wl_message xx_color_management_surface_v1_events[] = {
	{ "preferred_changed", "", xx_color_management_v1_types + 0 },
};

WL_EXPORT const struct wl_interface xx_color_management_surface_v1_interface = {
	"xx_color_management_surface_v1", 1,
	4, xx_color_management_surface_v1_requests,
	1, xx_color_management_surface_v1_events,
};

static const struct wl_message xx_image_description_creator_icc_v1_requests[] = {
	{ "destroy", "", xx_color_management_v1_types + 0 },
	{ "create", "n", xx_color_management_v1_types + 18 },
	{ "set_icc_file", "huu", xx_color_management_v1_types + 0 },
};

WL_EXPORT const struct wl_interface xx_image_description_creator_icc_v1_interface = {
	"xx_image_description_creator_icc_v1", 1,
	3, xx_image_description_creator_icc_v1_requests,
	0, NULL,
};

static const struct wl_message xx_image_description_creator_params_v1_requests[] = {
	{ "destroy", "", xx_color_management_v1_types + 0 },
	{ "create", "n", xx_color_management_v1_types + 19 },
	{ "set_tf_named", "u", xx_color_management_v1_types + 0 },
	{ "set_tf_power", "u", xx_color_management_v1_types + 0 },
	{ "set_primaries_named", "u", xx_color_management_v1_types + 0 },
	{ "set_primaries", "uuuuuuuu", xx_color_management_v1_types + 0 },
	{ "set_mastering_display_primaries", "uuuuuuuu", xx_color_management_v1_types + 0 },
	{ "set_mastering_luminance", "uu", xx_color_management_v1_types + 0 },
	{ "set_max_cll", "u", xx_color_management_v1_types + 0 },
	{ "set_max_fall", "u", xx_color_management_v1_types + 0 },
};

WL_EXPORT const struct wl_interface xx_image_description_creator_params_v1_interface = {
	"xx_image_description_creator_params_v1", 1,
	10, xx_image_description_creator_params_v1_requests,
	0, NULL,
};

static const struct wl_message xx_image_description_v1_requests[] = {
	{ "destroy", "", xx_color_management_v1_types + 0 },
	{ "get_information", "n", xx_color_management_v1_types + 20 },
};

static const struct wl_message xx_image_description_v1_events[] = {
	{ "failed", "us", xx_color_management_v1_types + 0 },
	{ "ready", "u", xx_color_management_v1_types + 0 },
};

WL_EXPORT const struct wl_interface xx_image_description_v1_interface = {
	"xx_image_description_v1", 1,
	2, xx_image_description_v1_requests,
	2, xx_image_description_v1_events,
};

static const struct wl_message xx_image_description_info_v1_events[] = {
	{ "done", "", xx_color_management_v1_types + 0 },
	{ "icc_file", "hu", xx_color_management_v1_types + 0 },
	{ "primaries", "uuuuuuuu", xx_color_management_v1_types + 0 },
	{ "primaries_named", "u", xx_color_management_v1_types + 0 },
	{ "tf_power", "u", xx_color_management_v1_types + 0 },
	{ "tf_named", "u", xx_color_management_v1_types + 0 },
	{ "target_primaries", "uuuuuuuu", xx_color_management_v1_types + 0 },
	{ "target_luminance", "uu", xx_color_management_v1_types + 0 },
	{ "target_max_cll", "u", xx_color_management_v1_types + 0 },
	{ "target_max_fall", "u", xx_color_management_v1_types + 0 },
};

WL_EXPORT const struct wl_interface xx_image_description_info_v1_interface = {
	"xx_image_description_info_v1", 1,
	0, NULL,
	10, xx_image_description_info_v1_events,
};

